=== libdiscover/backends/BodegaBackend/CMakeLists.txt ===
set(bodegabackend_SRCS
    BodegaBackend.cpp
    BodegaResource.cpp
)

add_library(muon-bodegabackend MODULE ${bodegabackend_SRCS})
target_link_libraries(muon-bodegabackend Discover::Common Qt5::Core  ${KDE4_KDEUI_LIBS} ${BODEGA_LIBRARIES})

install(TARGETS muon-bodegabackend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES muon-bodegawallpapers-backend.desktop DESTINATION ${DATA_INSTALL_DIR}/libmuon/backends)

install(FILES muon-bodegawallpapers-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libmuon/categories)
