=== libdiscover/backends/DummyBackend/tests/CMakeLists.txt ===
include_directories(.. ../../ApplicationBackend/tests)

add_unit_test(dummytest DummyTest.cpp)
add_unit_test(updatedummytest UpdateDummyTest.cpp)
