=== debian/changelog ===
plasma-discover (5.6.2-1ubuntu1.1) xenial; urgency=medium

  * Adding a depends on ubuntu-release-upgrader-qt
    Closes (LP: #1633692)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 17 Oct 2016 20:35:26 +0100

plasma-discover (5.6.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Add Breaks/Replaces for libdiscovercommon on plasma-discover-private
    - Make plasma-discover-common break the plasma-discover(-updater) << 5.6
    - components-without-pkgname.patch: Prevent crash when encountering
      software without a package as installation candidate.

 -- Matthias Klumpp <mak@debian.org>  Fri, 15 Apr 2016 19:04:38 +0200

plasma-discover (5.6.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream bugfix release: 5.6.2
  * Improve package descriptions
  * Use secure URLs for Vcs-* fields

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Apr 2016 16:22:20 +0200

plasma-discover (5.6.0-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Upload to unstable
  * New upstream release: 5.6.0
  * Add gbp.conf
  * Drop all patches: Applied upstream

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.

 -- Matthias Klumpp <mak@debian.org>  Wed, 23 Mar 2016 18:06:56 +0100

plasma-discover (5.5.95-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Initial package split upstream from Muon.

  [ Matthias Klumpp ]
  * Rename the packages to plasma-discover-*,
    add transitional packages for the old muon-* packages.
  * Merge update notifier into updater package.
  * Update dependencies to upstream's current requirements.
  * Drop some cruft postinst calls and runtime dependencies.
  * libdiscover-private.patch: Make libdiscover a private lib
  * Update debian/watch
  * Update Vcs-* URLs
  * Update debian/copyright

 -- Matthias Klumpp <mak@debian.org>  Sat, 12 Mar 2016 16:45:56 +0100
