=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               kio-dev (>= 5.16.0~),
               libappstreamqt-dev (>= 0.9),
               libdebconf-kde-dev (>= 1.0.0),
               libkf5attica-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5dbusaddons-dev (>= 5.16.0~),
               libkf5declarative-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.16.0~),
               libkf5newstuff-dev (>= 5.16.0~),
               libkf5notifications-dev (>= 5.16.0~),
               libkf5solid-dev (>= 5.16.0~),
               libkf5wallet-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libqapt-dev (>= 3.0.0),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-framework-dev (>= 5.16.0~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-discover.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-discover.git

Package: plasma-discover
Architecture: any
Depends: appstream,
         libqapt3-runtime,
         plasma-discover-common (= ${source:Version}),
         plasma-discover-private (= ${binary:Version}),
         ubuntu-release-upgrader-qt,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: muon-discover (<< 4:5.5.3a)
Replaces: muon-discover (<< 4:5.5.3a)
Recommends: software-properties-kde
Suggests: plasma-discover-updater
Description: Utility for browsing, installing, and removing applications
 Plasma Discover will help you browse through the huge applications library you
 have available and help you find the applications you're looking for.
 .
 To install or remove software using Discover, you need administrator
 access on the computer.

Package: plasma-discover-updater
Architecture: any
Depends: libqapt3-runtime,
         plasma-discover-private (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: plasma-discover-notifier
Breaks: muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a)
Replaces: muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a)
Description: Update manager for KDE
 Plasma Discover Updater is a graphical update manager for KDE. It is part of
 the Discover family of software and provides an interface similar to that of
 Discover.

Package: plasma-discover-private
Architecture: any
Depends: policykit-1,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libdiscovercommon (<< 5.6),
        libmuon (<< 4:5.5.3a)
Replaces: libdiscovercommon (<< 5.6),
          libmuon (<< 4:5.5.3a)
Description: Private runtime libraries for the Discover suite
 The Discover suite is a collection of software management applications
 built on the KDE platform.
 .
 This package contains private runtime libraries

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.6),
        plasma-discover-updater (<< 5.6)
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.6),
          plasma-discover-updater (<< 5.6)
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: muon-discover
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover,
         ${misc:Depends}
Description: Transitional package (muon-discover -> plasma-discover)
 This is a transitional package for plasma-discover and can safely be
 removed.

Package: muon-updater
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover-updater,
         ${misc:Depends}
Description: Transitional package (muon-updater -> plasma-discover-updater)
 This is a transitional package updating muon-updater to plasma-discover-updater
 and can safely be removed.

Package: muon-notifier
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover-updater,
         ${misc:Depends}
Description: Transitional package (muon-notifier -> plasma-discover-updater)
 This is a transitional package updating muon-notifier to
 plasma-discover-updater and can safely be removed.
