## plasma-discover 5.6.5

=== debian/changelog ===
plasma-discover (5.6.5-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:44:37 +0200

plasma-discover (5.6.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Drop upstream applied patch: 01_components-without-pkgname.patch

  [ Matthias Klumpp ]
  * Use versioned breaks against libmuon
  * Use PackageKit backend by default
  * Drop unneeded build dependencies
  * only-fetch-needed-pkgs.patch: Only fetch package information that we
    require. This should speed up loading the application.

  [ Maximiliano Curia ]
  * Add missing breaks replaces against libmuon
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Matthias Klumpp <mak@debian.org>  Wed, 11 May 2016 22:02:48 +0200
