## plasma-discover 5.7.1

=== debian/changelog ===
plasma-discover (5.7.1-1) unstable; urgency=medium

  * New upstream bugfix release: 5.7.1

 -- Matthias Klumpp <mak@debian.org>  Fri, 15 Jul 2016 16:42:30 +0200

plasma-discover (5.7.0-3) unstable; urgency=medium

  * Add more Breaks/Replaces (Closes: #830948)

 -- Matthias Klumpp <mak@debian.org>  Thu, 14 Jul 2016 15:00:38 +0200

plasma-discover (5.7.0-2) unstable; urgency=medium

  * Adjust packaging for the 5.7 release
    - Drop plasma-discover-updater, no longer needed
    - Merge plasma-discover-private into main package,
      it is no longer necessary to have this split.
    - Install new files
    - Write better package description
  * Refresh debian/copyright
  * Drop the TODO file, all items have been addressed

 -- Matthias Klumpp <mak@debian.org>  Tue, 12 Jul 2016 15:48:48 +0200

plasma-discover (5.7.0-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Drop obsolete recommends

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Jul 2016 14:18:41 +0200
