## plasma-discover 5.7.5

=== debian/changelog ===
plasma-discover (5.7.5-0ubuntu2) yakkety; urgency=medium

  * plasma-discover now Conflicts against python3-aptdaemon.pkcompat, without
    this apt-get would want to remove plasma-discover while upgrading from
    xenial to yakkety.
  * Drop transitional dummy packages plasma-discover-private and
    plasma-discover-updater because the above solution is the one which actually
    works.
  * plasma-discover and plasma-discover-common now Conflicts/Replaces against
    plasma-discover-private and plasma-discover-updater obsolete packages
    instead of Break/Replacing.
  * Update appstream files path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 05:54:43 +0200

plasma-discover (5.7.5-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * Depend on required qml components 

  [ Rik Mills ]
  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

  [ José Manuel Santamaría Lema ]
  * Add transitional dummy packages for plasma-discover-private and
    plasma-discover-updater. This will hint the package managers to not
    remove plasma-discover while upgrading from xenial to yakkety.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 20 Sep 2016 20:29:09 -0500

plasma-discover (5.7.2-0ubuntu2) yakkety; urgency=medium

  * plasma-discover-updater -> plasma-discover

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 10:58:14 +0300

plasma-discover (5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * Merged with Debian
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:07:46 +0000

plasma-discover (5.6.5-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.6.5)

  [ Philip Muškovac ]
  * plasma-discover-updater: don't recommend -notifier as that is now bundled
    with -updater. (LP: #1597818)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:49:56 +0100

plasma-discover (5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Removing upstream patch - 01_components-without-pkgname.patch

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:22:31 -0700
